Subject: Re: bug#42352: 27.0.91; Emacs daemon crashes after "Fix Arabic shaping" change 30a7ee505aca3cc285699bae1630a28185519d99

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jul 2020 13:20:34 +0300

On July 14, 2020 12:43:52 PM GMT+03:00, Teemu Likonen <[email-masked]> wrote:
> Emacs daemon crashes when scrolling through a buffer. I believe it
> happens when buffer is trying to display Arabic letters that are in my
> mail summary buffer. I used "git bisect" and found that this is the
> first "bad" commit:
> 
> 
>     commit 30a7ee505aca3cc285699bae1630a28185519d99
>     Author: Eli Zaretskii <[email-masked]>
>     Date:   2020-06-05 10:56:01 +0300
> 
>         Fix Arabic shaping when eww/shr fill the text to be rendered
> 
>      * src/hbfont.c (hbfont_shape): Don't use DIRECTION if the current
>         buffer has bidi reordering disabled.  (Bug#41005)
> 
> 
> My Emacs daemon process is managed by systemd and the logs have this
> backtrace:
> 
> 
>     emacs[9121]: Backtrace:
>     emacs[9121]: /usr/local/bin/emacs(+0x1385b7)[0x55e55be3c5b7]

Thanks, but please present the backtrace with the symbolic data: file name, function name, and line number information.  It is basically impossible to work with just the numeric addresses without having access to your system.

The Emacs user manual describes how to obtain the symbolic data in the "Crashing" node.

Also, I wonder how you came to be affected by that change.  Did you by any chance set bidi-display-reordering to nil in your buffers?